public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-fonts/mplus-fonts/
Date: Thu, 20 Sep 2018 22:10:55 +0000 (UTC)	[thread overview]
Message-ID: <1537481443.e92658356c92d1bee109ebce19d60e7ab51269e5.sping@gentoo> (raw)

commit:     e92658356c92d1bee109ebce19d60e7ab51269e5
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 20 21:50:21 2018 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Thu Sep 20 22:10:43 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9265835

media-fonts/mplus-fonts: Turn into well-behaved font + EAPI 6

Lack of file /usr/share/fonts/mplus/.uuid
causes sandbox violation issues in other packages.
font_pkg_postinst take care of its creation now.

Bug: https://bugs.gentoo.org/665008

Package-Manager: Portage-2.3.49, Repoman-2.3.10

 .../mplus-fonts/mplus-fonts-2.2.4-r1.ebuild        | 32 ++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/media-fonts/mplus-fonts/mplus-fonts-2.2.4-r1.ebuild b/media-fonts/mplus-fonts/mplus-fonts-2.2.4-r1.ebuild
new file mode 100644
index 00000000000..d26999296ce
--- /dev/null
+++ b/media-fonts/mplus-fonts/mplus-fonts-2.2.4-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+FONT_PN=mplus
+
+inherit font
+
+MY_P="mplus_bitmap_fonts-${PV}"
+
+DESCRIPTION="M+ Japanese bitmap fonts"
+HOMEPAGE="http://mplus-fonts.sourceforge.jp/"
+SRC_URI="mirror://sourceforge.jp/${PN}/5030/${MY_P}.tar.gz"
+
+LICENSE="mplus-fonts"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="X"
+
+DEPEND="x11-apps/mkfontdir
+	x11-apps/bdftopcf"
+RDEPEND=""
+
+S="${WORKDIR}/${MY_P}"
+
+# Only installs fonts
+RESTRICT="strip binchecks"
+
+src_install(){
+	DESTDIR="${D}${FONTDIR}" ./install_mplus_fonts || die
+	dodoc README* INSTALL*
+}


             reply	other threads:[~2018-09-20 22:11 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-09-20 22:10 Sebastian Pipping [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-03-02 19:52 [gentoo-commits] repo/gentoo:master commit in: media-fonts/mplus-fonts/ Sergei Trofimovich
2019-03-02 20:02 Sergei Trofimovich
2019-03-02 20:49 Thomas Deutschmann
2019-03-03  6:40 Mikle Kolyada
2019-03-03  6:41 Mikle Kolyada
2019-03-03  6:41 Mikle Kolyada
2019-03-03  6:41 Mikle Kolyada
2019-03-03 16:07 Sergei Trofimovich
2019-03-11 22:42 Sergei Trofimovich
2019-03-13 22:34 Sergei Trofimovich
2019-10-05  7:24 Michał Górny
2021-11-24 14:25 Akinori Hattori
2021-11-24 14:25 Akinori Hattori

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1537481443.e92658356c92d1bee109ebce19d60e7ab51269e5.sping@gentoo \
    --to=sping@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox